Bug 12733 - ctdb docs: ctdb -n option does only take numeric values
ctdb docs: ctdb -n option does only take numeric values
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.6.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-05 18:47 UTC by Björn Baumbach
Modified: 2017-04-21 06:59 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-5 (1.10 KB, patch)
2017-04-07 01:27 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-6 (1.10 KB, patch)
2017-04-07 01:27 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2017-04-05 18:47:29 UTC
Since Samba 4.5.0 the ctdb -n option does only take numeric values.

# ctdb ping -n all
Invalid option all: invalid numeric value

According to the ctdb(1) man page the -n option accepts 'PNN-LIST'

   -n PNN-LIST
       The nodes specified by PNN-LIST should be queried for the
       requested information. Default is to query the daemon running
       on the local host.

and this is documented as

   PNN-LIST
       This is either a single PNN, a comma-separate list of PNNs or
       "all".

Also the release notes of Samba 4.5.0 do not include this specific
behaviour change information. But it's mentioned that 'ctdb tool' has
been completely rewritten using new client API.

"ctdb --help" does show the correct usage.

The man page needs an update.
Comment 1 Amitay Isaacs 2017-04-07 01:27:11 UTC
Created attachment 13141 [details]
Patches for v4-5
Comment 2 Amitay Isaacs 2017-04-07 01:27:30 UTC
Created attachment 13142 [details]
Patches for v4-6
Comment 3 Martin Schwenke 2017-04-07 01:30:37 UTC
Hi Karolin,

This is ready for 4.5 and 4.6.

Thanks...
Comment 4 Karolin Seeger 2017-04-19 09:32:41 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-04-21 06:59:40 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!